	@(#)sub.h	4.2

1 subscriber nomode
Form is currently in a do-nothing state.  From here you can search
for subscribers, or add new subscribers.  In addition, you can also
switch to the subscription entry form.  These functions are outlined below:

	Specify subscriber search parameters (QUERY)	F2
	FIND specified subscriber			F3

	ADD a new subscriber				F6
	SWITCH to subscription entry form		F7

	EXIT from form					F8

1 subscriber query
At this point you can specify search parameters to find certain
subscribers within the data file.  To do a linear search of the data
file, leave the screen blank and push the FIND key (F3) repeatedly.
To find some particular subscriber, type into the fields the value
you are looking for.  If you specify keyfields or secondary indexes,
keyed searches will be done; otherwise, an automatic linear search
will be done.  Lastly, you can use wildcards.  This is a single
character, *, which will match 0 or more of any character.  When
you have entered the search parameters, push the FIND key (F3) to
search for the subscriber.  The table below summarizes the valid
function keys:

	Re-specify subscriber search parameters (QUERY)	F2
	FIND specified subscriber			F3

	ADD a new subscriber instead of searching	F6
	SWITCH to subscription entry form		F7

	EXIT from form					F8

1 subscriber find
Your search parameters matched a subscriber in the data file which
is now displayed.  From here you can UPDATE the subscriber, DELETE
the subscriber, or FIND the next matching subscriber.  If you wanted
you could also start a new QUERY or ADD a new subscriber.  The
table below summarizes these functions:

	Re-specify subscriber search parameters (QUERY)	F2
	FIND next specified subscriber			F3

	UPDATE current subscriber			F4
	ADD a new subscriber				F6
	SWITCH to subscription entry form		F7

	EXIT from form					F8

1 subscriber update
The current subscriber is now available for changes.  Any changes you
make to the fields on the screen will be recorded in the data file
after you push the STORE key (F5).  Using CANCEL will restore the
subscriber to its original state and leave UPDATE mode.  The arrow
keys will move the cursor from field to field.  In addition, you
may use the following function keys:

	DISPLAY original contents of subscriber		F4
	STORE UPDATEd subscriber			F5

	CANCEL UPDATE process				GOLD (F1) X

1 subscriber add
You can now add a new subscriber to the data file.  Any data you type
into the fields on the screen will be recorded in the data file
after you push the STORE key (F5).  Using CANCEL will clear the
screen, leave ADD mode, and not write the subscriber to the data file.
The arrow keys will move the cursor from field to field.  In addition,
you may use the following function keys:

	STORE ADDed subscriber				F5

	CANCEL ADD process				GOLD (F1) X

1 subscriber
Data Entry Screen

The GOLD (F1) key is used to perform additional functions not
provided for by the function keys.  The GOLD key, followed by
another key will perform that function.  For the most part the
function performed is mnemonic.

Pushing GOLD (F1) then D (Delete) will delete the current subscriber
from the data file.  Pushing GOLD then R (Refresh) will erase the
screen and re-draw the current forms.  This is useful if the data
entry screen becomes garbled.  Pushing GOLD then X (cancel) will
exit ADD or UPDATE mode.  If in ADD mode, no subscriber will be written;
if in UPDATE mode, the subscriber will be restored to its original state.

The QUERY (F2) key will allow you to specify search parameters
to find a particular subscriber in a data file.

The FIND (F3) key will find the next subscriber which matches the
search parameters entered from the QUERY.  When no subscribers are
left in the file the message "No more" will be displayed.  If
FIND is pushed again, the first matching subscriber will be sought
again.

If the UPDATE (F4) key is pressed, then the current subscriber displayed
can be modified.  After all the modifications have been made, the STORE
key is pressed.  If the UPDATE key is pressed while in UPDATE mode,
then the original contents subscriber will be re-displayed.

The STORE (F5) key is used only while in ADD or UPDATE mode.  When
pressed, the current subscriber displayed on the screen will be written
to the data file.

If the ADD (F6) key is pressed, then the fields are cleared, and a
new subscriber can be entered.  When the STORE key is pressed, the subscriber
will be stored into the data file.

If the SWITCH (F7) key is pressed, and there are more than one screen
in the form, the subscription screen will be displayed and that will
become the current working screen.  Any functions performed will with
this new screen.  Switch cannot be used while in ADD or UPDATE mode.

Pushing the EXIT (F8) key will cause form to exit.  EXIT cannot be
used while in ADD or UPDATE mode.

2 subscriber
Subscriber

This is a character field used to uniquely identify the subscriber.
Although any unique code could be used, the demonstration system
uses something called a match code.  Match codes are used to help
eliminate duplicate subscribers (ie, the same subscriber with two
subscriber codes).  The match code used here take the first 4
consonants of the last name; the first letter of the first name;
and the first 4 numbers of the street address.

Input into this field is required.

2 name
Name

This is a character field showing the full name of the subscriber
as given by the subscriber.

Input into this field is required.

2 address[1]
Address

This is a character field showing the street address of the
subscriber.  This will be used for mailing purposes only.

Input into this field is required.

2 address[2]
Address (second line)

This is a character field showing the street address of the
subscriber.  This field is used when one line is not sufficient
to store the street address.  This field is used for mailing
purposes only.

2 city
City

This is a character field showing the city where the subscriber
resides.

Input into this field is required.

2 state
State

This is a character field showing the state where the subscriber
resides.

Input into this field is required.

2 zip
Zip

This is a character field showing the US Postal Service Zip Code
number.  It is recommended that you enter the full 9 digits of
the zip code when supplied by the subscriber.

Input into this field is required.

1 subscription nomode
Form is currently in a do-nothing state.  From here you can search
for subscriptions, or add new subscriptions.  In addition, you can
also switch to the subscriber entry form.  These functions are
outlined below:

	Specify subscription search parameters (QUERY)	F2
	FIND specified subscription			F3

	ADD a new subscription				F6
	SWITCH to subscriber entry form			F7

	EXIT from form					F8

1 subscription query
At this point you can specify search parameters to find certain
subscriptions within the data file.  To do a linear search of the data
file, leave the screen blank and push the FIND key (F3) repeatedly.
To find some particular subscription, type into the fields the value
you are looking for.  If you specify keyfields or secondary indexes,
keyed searches will be done; otherwise, an automatic linear search
will be done.  Lastly, you can use wildcards.  This is a single
character, *, which will match 0 or more of any character.  When
you have entered the search parameters, push the FIND key (F3) to
search for the subscription.  The table below summarizes the valid
function keys:

	Re-specify subscription search parameters (QUERY)	F2
	FIND specified subscription				F3

	ADD a new subscription instead of searching		F6
	SWITCH to subscriber entry form				F7

	EXIT from form						F8

1 subscription find
Your search parameters matched a subscription in the data file which
is now displayed.  From here you can UPDATE the subscription, DELETE
the subscription, or FIND the next matching subscription.  If you wanted
you could also start a new QUERY or ADD a new subscription.  The
table below summarizes these functions:

	Re-specify subscription search parameters (QUERY)	F2
	FIND next specified subscription			F3

	UPDATE current subscription				F4
	ADD a new subscription					F6
	DELETE current subscription				GOLD (F1) D
	SWITCH to subscriber entry form				F7

	EXIT from form						F8

1 subscription update
The current subscription is now available for changes.  Any changes you
make to the fields on the screen will be recorded in the data file
after you push the STORE key (F5).  Using CANCEL will restore the
subscription to its original state and leave UPDATE mode.  The arrow
keys will move the cursor from field to field.  In addition, you
may use the following function keys:

	DISPLAY original contents of subscription	F4
	STORE UPDATEd subscription			F5

	CANCEL UPDATE process				GOLD (F1) X

1 subscription add
You can now add a new subscription to the data file.  Any data you type
into the fields on the screen will be subscriptioned in the data file
after you push the STORE key (F5).  Using CANCEL will clear the
screen, leave ADD mode, and not write the subscription to the data file.
The arrow keys will move the cursor from field to field.  In addition,
you may use the following function keys:

	STORE ADDed subscription		F5

	CANCEL ADD process			GOLD (F1) X

1 subscription
Data Entry Screen

The GOLD (F1) key is used to perform additional functions not
provided for by the function keys.  The GOLD key, followed by
another key will perform that function.  For the most part the
function performed is mnemonic.

The QUERY (F2) key will allow you to specify search parameters
to find a particular subscription in a data file.

The FIND (F3) key will find the next subscription which matches the
search parameters entered from the QUERY.  When no subscriptions are
left in the file the message "No more" will be displayed.  If
FIND is pushed again, the first matching subscription will be sought
again.

If the UPDATE (F4) key is pressed, then the current subscription displayed
can be modified.  After all the modifications have been made, the STORE
key is pressed.  If the UPDATE key is pressed while in UPDATE mode,
then the original contents subscription will be re-displayed.

The STORE (F5) key is used only while in ADD or UPDATE mode.  When
pressed, the current subscription displayed on the screen will be written
to the data file.

If the ADD (F6) key is pressed, then the fields are cleared, and a
new subscription can be entered.  When the STORE key is pressed, the
subscription will be stored into the data file.

If the SWITCH (F7) key is pressed, and there are more than one screen
in the form, the subscriber screen will be displayed and that will become
the current working screen.  Any functions performed will with this
new screen.  Switch cannot be used while in ADD or UPDATE mode.

Pushing the EXIT (F8) key will cause form to exit.  EXIT cannot be
used while in ADD or UPDATE mode.

Pushing GOLD (F1) then D (Delete) will delete the current subscription
from the data file.  Pushing GOLD then R (Refresh) will erase the
screen and re-draw the current forms.  This is useful if the data
entry screen becomes garbled.  Pushing GOLD then X (cancel) will
exit ADD or UPDATE mode.  If in ADD mode, no subscription will be written;
if in UPDATE mode, the subscription will be restored to its original state.

2 magazine
Magazine

This is a character field showing the magazine code of the magazine
being subscribed to.  The value entered here must match the magazine
code of a magazine in the magazine file.

When a valid magazine code has been entered, its corresponding title
will be displayed in the Title field.

Input into this field is required.

2 started
Started

This is a date field showing when the subscription was started.

Input into this field is required.

2 issues
Issues

This is an integer field showing how many issues of the magazine
are left on the subscription.  This field should not be changed
once entered.

Input into this field is required.
