#include <stdio.h>
#include <machine.h>

#if LATTICE
#include <dirio.h>
#include <form.h>
#include <dtypes.h>
#else
#include <cbase/dirio.h>
#include <cbase/form.h>
#include <cbase/dtypes.h>
#endif

static char sccs_id[] ="@(#)sform.c	4.4";

static DFILE *mag_file;

/* dblist for the magazines file */
static char *mag_list[] = {
    "magazine",
    "subscribers",
    0 };

/* and its corresponding structure */
static struct {
    char mag[16];
    short subscribers;
} 
mag;


char *user_edit (edit_type, edit_name, old_value,
new_value, exit_char)
int edit_type;
char *edit_name;
char *old_value;
char *new_value;
int exit_char;
{
	char	*bump_mag();
        char    *temp;


    if (edit_type == U_INITIALIZE) {
        mag_file = dlopen ("mag", "u");
        if (mag_file == NULL)
            return ("Cannot open 'mag' file");
        if (dblist (mag_list, mag_file) < 0)
            return ("No dblist for 'mag' file");
        return (NULL);
    }
    else if (edit_type == U_EXIT) {
        dclose (mag_file);
        return (NULL);
    }

    else if (strcmp (sformname(), "subscription")){
        return (NULL);} 

    else if (edit_type == U_DELETE ||
        edit_type == U_UPDATE) {
        return (bump_mag (-1));
    }
    else if (edit_type == U_STORED) {
        return (bump_mag (1));
    }

    else
        return (NULL);
}




/* change subscriber count in magazine file   */
/* if successful, return NULL pointer,        */
/* otherwise, return pointer to error message */
char *
bump_mag (delta)
int delta;
{
    long recno;

    strncpy (mag.mag, sread ("magazine"),
    sizeof (mag.mag));
    if (dflock (mag_file) == 0)
        return ("Magazine file busy");
    recno = dfindk (&mag, mag_file);
    if (recno < 0) {
        dfunlock (mag_file);
        snextfld ("magazine");
        return ("No such magazine");
    }
    mag.subscribers += delta;
    dupdate (&mag, mag_file);
    dfunlock (mag_file);
    return (NULL);
}




main (argc, argv)
int argc;
char *argv[];
{
    form (argc, argv);
    exit (0);
}
