/*
 *	@(#)direr.h	12.1
 */

/* functions which leave error messages */

#define	DBLIST		 1
#define	DCLOSE		 2
#define	DDELETE		 3
#define	DFETCH		 4
#define	DFIND		 5
#define	DFINDI		 6
#define	DFINDK		 7
#define	DFINDN		 8
#define	DFINDNI		 9
#define	DFINDNK		10
#define	DFLOCK		11
#define	DFUNLOCK	12
#define	DINSERT		13
#define	DLOC		14
#define	DOPEN		15
#define	DREAD		16
#define	DREADC		17
#define	DRECSIZ		18
#define	DSEEK		19
#define	DSETI		20
#define	DSETP		21
#define	DSTORE		22
#define	DUPDATE		23
#define	DWRITE		24
#define DFINDFI		25
#define DFINDM		26
#define DFINDNM		27
#define	DXDEL		28
#define	DXADD		29
#define	DFINDP		30
#define	DFINDL		31
#define	DFINDPK		32
#define	DFINDLK		33
#define	DFINDPI		34
#define	DFINDLI		35
#define	DFINDPM		36
#define DFINDLM		37
#define	DSETPOS		38
#define	DTOPEN		39
#define	DBOPEN		40
#define	DLOPEN		41
#define	DRLIST		42
#define	DNUMIDX		43
#define	DFLIST		44

/* error numbers returned by derror */
/*	and error messages returned by derrmsg */

#define	DEFCB	1001
#define DTFCB		"no available file control blocks"
#define	DENF	1002
#define	DTNF		"can't open `^0' [^1]"
#define	DEND	1003
#define	DTND		"can't find dictionary for `^0'"
#define	DECC	1004
#define	DTCC		"can't create `^0' [^1]"
#define	DEFA	1005
#define DTFA		"invalid file access mode `^0'"
#define	DEID	1006
#define	DTID		"invalid dictionary format"
#define DENMKL	1007
#define	DTNMKL		"no memory for key lists"
#define	DENO	1008
#define	DTNO		"file not open"
#define	DERNF	1009
#define	DTRNF		"record not found"
#define	DECR	1010
#define	DTCR		"`^0' not opened for reading"
#define DEEOF	1011
#define	DTEOF		"eof encountered"
#define	DEFF	1012
#define	DTFF		"file full"
#define	DECW	1013
#define	DTCW		"`^0' not opened for writing"
#define	DENC	1014
#define	DTNC		"no current record"
#define	DEKC	1015
#define DTKC		"key change not allowed"
#define DENA	1016
#define	DTNA		"record `^0' not active"
#define	DERN	1017
#define	DTRN		"invalid record number"
#define	DEIO	1018
#define	DTIO		"i/o error on `^0' [^1]"
#define	DENMFL	1019
#define	DTNMFL		"no space for field list"
#define	DEFB	1020
#define	DTFB		"file busy"
#define	DECCI	1021
#define	DTCCI		"can't make index for `^0' [^1]"
#define	DENI	1022
#define	DTNI		"can't find index for `^0'"
#define	DEFNF	1023
#define	DTFNF		"field `^0' is not in dictionary"
#define	DENM	1024
#define	DTNM		"not enough memory to open file `^0'"
#define	DEPNI	1025
#define	DTPNI		"primary key not indexed"
#define	DEIN	1026
#define	DTIN		"invalid index number"
#define DEFNI	1027
#define	DTFNI		"file `^0' is not indexed"
#define DEIX	1028
#define DTIX		"file ^0, index #^1 is inconsistent"
#define DEEFLS	1029
#define	DTEFLS		"empty field list specified"
#define DENFLS	1030
#define	DTNFLS		"no field list specified"
#define	DENMBUF	1031
#define	DTNMBUF		"no memory for record buffer"
#define	DEBOF	1032
#define	DTBOF		"beginning of file reached"
#define	DENSQ	1033
#define	DTNSQ		"previous call cancelled sequence"
#define	DENWDT	1034
#define	DTNWDT		"dictionary write not allowed"
#define	DENMDT	1035
#define	DTNMDT		"not enough memory to open dictionary"
#define	DEREDT	1036
#define	DTREDT		"dictionary read error [^0]"
#define	DEDBND	1037
#define	DTDBND		"data base name not defined"
#define	DELFNF	1038
#define	DTLFNF		"logical file name ^0 not found"
#define	DE2LOG	1039
#define	DT2LOG		"multiple log files not allowed"
#define	DETLER	1040
#define	DTTLER		"transaction log file write error [^0]"
#define	DETLSK	1041
#define	DTTLSK		"transaction log file seek error [^0]"
#define	DEDBNF	1042
#define	DTDBNF		"data base ^0 not found"
#define	DELFFMT	1043
#define	DTLFFMT		"logical file name ^0 has invalid format"
#define	DENCON	1044
#define	DTNCON		"name conflict with local file ^0 and logical file"
#define	DELKER	1045
#define	DTLKER		"lock on file ^0 failed [^1]"
#define	DEINSH	1046
#define	DTINSH		"incompatible share modes used on file %s"
#define	DEFVTL	1047
#define	DTFVTL		"value too large in drlist field number ^0"
#define DENFT	1048
#define	DTNFT		"data type mismatch for field ^0 in drlist"
#define DEDRS	1049
#define	DTDRS		"array elements mismatch for field ^0 in drlist"
#define DEDRLP	1050
#define	DTDRLP		"size or array elements mismatch field ^0 in drlist"
#define	DEKNFLD	1051
#define	DTKNFLD		"current key contains ^0 fields"
#define	DELFMEM	1052
#define	DTLFMEM		"not enough memory to determine pathname"

#define	DEFIRST	1001		/* First RMS error number */
#define	DELAST	1052		/* Last RMS error number */
