/*	@(#)escape.h	11.1
	escape function values
 */

/* these values must be in the range of 256 to 511 */

/*
 * the following values can be received from getkey
 * and sent to escape
 */

#define		HOME		300	/* home cursor */
#define		CLEAREOS	301	/* clear to end of screen */
#define		CLEAREOL	302	/* clear to end of line */
#define		CLEARALL	303	/* clear entire screen */
#define		CURRIGHT	304	/* move cursor right */
#define		CURLEFT		305	/* move cursor left */
#define		CURUP		306	/* move cursor up */
#define		CURDOWN		307	/* move cursor down */
#define		ROLLUP		308	/* scroll screen up one line */
#define		ROLLDOWN	309	/* scroll screen down one line */
#define		INSLINE		310	/* perform insert line function */
#define		DELLINE		311	/* delete line */
#define		INSCHAR		312	/* start insert character mode */
#define		ENDINSCHAR	313	/* end insert character mode */
#define		DELCHAR		314	/* delete character */


/*
 * the following can be sent to escape
 * but not received from getkey
 */

#define		MOVCUR		350	/* move cursor to col, row */
#define		INITTERM	351	/* initialize terminal */
#define		RESTORE		352	/* restore original terminal settings */
#define		BELL		353	/* ring terminal bell */
#define		WHITE		354	/* start white (reverse video) field */
#define		ENDWHITE	355	/* end white (reverse video) field */
#define		BLACK		356	/* start black (normal video) field */
#define		ENDBLACK	357	/* end black (normal video) field */
#define		UNDERLINE	358	/* start an underlined field */
#define		ENDUNDERLINE	359	/* end an underlined field */
#define		BLINK		360	/* start a blinking field */
#define		ENDBLINK	361	/* end a blinking field */

#define		FIRSTESC	HOME
#define		LASTESC		ENDBLINK



/*
 * the following can be received from getkey
 * but not sent to escape
 */

#define		HELP		399
#define		F0		400
#define		F1		401
#define		F2		402
#define		F3		403
#define		F4		404
#define		F5		405
#define		F6		406
#define		F7		407
#define		F8		408
#define		F9		409
#define		F10		410
#define		F11		411
#define		F12		412
#define		F13		413
#define		F14		414
#define		F15		415
#define		F16		416
#define		F17		417
#define		F18		418
#define		F19		419
#define		F20		420
#define		F21		421
#define		F22		422
#define		F23		423
#define		F24		424
#define		F25		425
#define		F26		426
#define		F27		427
#define		F28		428
#define		F29		429
#define		F30		430
#define		F31		431
#define		F32		432
#define		F33		433
#define		F34		434
#define		F35		435
#define		F36		436
#define		F37		437
#define		F38		438
#define		F39		439

/*	et cetera	*/



/*
 *	termparm(3) returns a pointer to this structure
 */

struct	termptr	{
#if M_I8086 | M_I80286
	short	tp_unused;	/* unused */
#else
	char	*tp_unused;	/* unused */
#endif

	char	tp_white;	/* fill character for white fields */
	char	tp_ul;		/* fill character for underline fields */
	short	tp_length;	/* screen length in lines */
	short	tp_width;	/* screen width in characters */
	short	tp_rowoff;	/* row offset for MOVCUR parameters */
	short	tp_coloff;	/* column offset for MOVCUR parameters */
	short	tp_rowfirst;	/* for MOVCUR, send row address first */
};

struct	termptr *termparm();




/* magic number for terminal definition files in /usr/lib/escape */
#define E_MAGIC	0104477
