	@(#)toolkit.h	12.1

1 toolkit
C/Base Toolkit

Toolkit is an interactive program which provides a means for non-programmers
to create a database and develop forms, reports, and menus which provide
access to the information stored within the database.  In order to do this,
toolkit utilizes a series of menus containing various appropriate selections.
These menus are accessed from the Toolkit Menu.

2 1 - Data Files Menu
 1 - Data Files Menu

The Data Files Menu contains menu choices that allow you to create 
and maintain data files.  The C/Base program 'filedef' is used for
creating and modifying data files.  Additional choices are available
for general maintenance and information.

2 2 - Data Entry Forms Menu
 2 - Data Entry Forms Menu

The Data Entry Forms menu provides the user with menu choices to access
the forms handling procedures.  These include creating and maintaining
data entry forms for your database application.  Forms are created and
modified with use of forms maintenance program 'formdef'.

2 3 - Report Generator Menu
 3 - Report Generator Menu

The Report Generator Menu allows the user to create and maintain both
visual and text report programs. The text programs are created and
modified with a text editor specified by the environment variable EDITOR.
The default editor is 'vi' for UNIX systems, and 'edlin' for MS-DOS.
Visual report programs are created and modified with the Report Writer
report generator program 'wtrdef'.

2 4 - Menus Menu
 4 - Menus Menu

The Menus Menu selection provides the user with the ability to generate
menus.   Menus are used to access an application.

2 5 - Table Menu
 5 - Table Menu

The Table Menu is used to display and manipulate information in data
files.  Data is displayed in tabular form, with column titles at the
top. Each data record is displayed on one line of the table.   C/Base
data files may be loaded into, but not from table.

2 6 - Database Menu
 6 - Database Menu

The Database Menu provides menu choices for maintaining the current
database application. It also provides menu choices for changing to
other database applications or creating other database applications.

2 X - Exit
 X - Exit

This choice terminates the toolkit session.

1 rms
Data File Development and Maintenance

The Data Files Menu provides the means to create and maintain data 
files for a database.   Data files are created and modified using
the C/Base utility 'filedef'.   The maintenance of the database
catalog is performed automatically.   Additional procedures are
available for general maintenance and information.

2 D1 - Create File Definition
D1 - Create File Definition

The C/Base utility 'filedef' is invoked to create a data file definition.
After a valid data file definition has been created, a description of
the data file is inserted into the database catalog.

You cannot create a data file that has already been defined. Once
the definition has been created, a data file is created from the
definition.

2 D2 - Modify File Definition
D2 - Modify File Definition

The C/Base utility 'filedef' is invoked to modify a data file definition.
Changes to the data file definition are verified before the data file is
converted.

2 D3 - Examine File Definition
D3 - Examine File Definition

The C/Base utility 'filedef' is invoked to examine a data file definition.
Any changes made to the data file definition are ignored.  No changes can
be made to the data file through this menu choice.

2 D4 - Modify Catalog Description
D4 - Modify Catalog Description

A data file description may be modified through this menu choice.

2 D5 - Define Data File's Log Status
D5 - Define Data File's Log Status

This menu choice allows you to change the logging status of a data file.
All activity involving a data file is recorded in a log file when the
log status for the file is turned on.  When a data file is created, its
log status is turned off.

2 L1 - List Logical Data File(s)
L1 - List Logical Data File(s)

This option lists all the data files for a database application.
Only those files that are defined in the database catalog are
listed.

2 L2 - List Data File Dictionary
L2 - List Data File Dictionary

Listing a data file dictionary displays the data file definition and fields.

2 L3 - List Data File Records
L3 - List Data File Records

This option allows the user to list the data contents of a data file.

2 M1 - Expand Capacity of Data File
M1 - Expand Capacity of Data File

Data files that are maintained as hashed files must have pre-allocated
data records.   When a data file has reached near-full capacity, it is
necessary to expand the number of records that the file contains.

2 M2 - Copy Definition and Data
M2 - Copy Definition and Data

This option is used to copy a previously defined data file to another
data file.  Both the dictionary and data contents are copied to the new
data file.  A new logical file entry is added to the database catalog.

2 M3 - Check Data File Consistency
M3 - Check Data File Consistency

This option should be run if you believe your data file is corrupted.
It rebuilds the index file if necessary.

2 M4 - Erase Contents of Data File
M4 - Erase Contents of Data File

Erasing the contents of a data file removes all data from a data file.
All information is lost and cannot be recovered without backups or
re-entering the data.

2 M5 - Remove a Data File
M5 - Remove a Data File

This menu choice completely removes a data file from the system
by removing both the physical data file and the entry for the data
file in the database catalog.

2 R - Return to Bookkit menu
R - Return to Bookkit menu

This choice re-displays the top level menu, 'Toolkit'.  The toolkit
menu provides the main entry points for maintenance of database files,
data entry forms, reports and menus.

2 R - Return to Toolkit menu
Return to Toolkit menu

This choice re-displays the top level menu, 'Bookkit'.  The Bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
X - Exit to system

This choice terminates the toolkit session.

1 form
Data Entry Forms Development and Maintenance

The Data Entry Forms menu provides the user with menu choices to access
the forms handling procedures.  These include creating and maintaining
data entry forms for your database application.  Forms are created and
modified with use of forms maintenance program 'formdef'.

Additional choices are available for general information and maintenance.

2 D1 - Create a Data Entry Form
D1 - Create a Data Entry Form

The C/Base utility 'formdef' is invoked to create a data entry form.
After a valid data entry form has been created, a description of
the form is inserted into the database catalog.  You may not use
this menu choice to access a form that has already been created.

2 D2 - Modify a Data Entry Form
D2 - Modify a Data Entry Form

The C/Base utility 'formdef' is invoked to modify a data entry form.
This menu choice cannot be used to create a new data entry form.

2 D3 - Test a Data Entry Form
D3 - Test a Data Entry Form

You may test a new or modified data entry form through this menu choice.  
All of the functions: QUERY, FIND, ADD, UPDATE, STORE, and DELETE may
be used in testing the data entry form.

2 D4 - Modify Catalog Description
D4 - Modify Catalog Description

The description for a form in the database catalog may be modified
through this menu choice.

2 L1 - List Logical Data Entry Form(s)
L1 - List Logical Data Entry Form(s)

This option lists all the data entry forms for a database application.
Only those forms that are defined in the database catalog are listed.

2 L2 - List Data Entry Form Contents
L2 - List Data Entry Form Contents

This option allows you to examine a data entry form in text format.
A picture of each screen in the form is displayed.  Each field on
each screen is listed along with its location on the screen and its
other characteristics.

2 M1 - Copy Data Entry Form
M1 - Copy Data Entry Form

This option is used to copy a previously created data entry form to
another data entry form.  A new entry is added to the database catalog
for the new data entry form.

2 M2 - Remove Data Entry Form
M2 - Remove Data Entry Form

Use this option to completely remove a data entry form from the system.
The actual data entry form plus its database catalog entry are deleted.

2 R - Return to Toolkit menu
R - Return to Toolkit menu

This choice re-displays to the top level menu, 'Toolkit'.  The toolkit
menu provides the main entry points for maintenance of database files,
data entry forms, reports and menus.

2 R - Return to Bookkit menu
Return to Bookkit menu

This choice re-displays the top level menu, 'Bookkit'.  The Bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
X - Exit to system

This choice terminates the toolkit session.

1 rw
Report Program Development and Maintenance

The Report Generator Menu allows the user to create and maintain both
visual and text report programs. The text programs are created and
modified with a text editor specified by the environment variable EDITOR.
The default editor is 'vi' for UNIX systems, and 'edlin' for MS-DOS.
Visual report programs are created and modified with the Report Writer
report generator program 'wtrdef'.

The database catalog is automatically maintained when creating and modifying
reports. Additional choices are available for general information and 
maintenance.

2 D1 - Create Report Program
D1 - Create Report Program

This option is used to create a report using either the C/Base report
generator 'wtrdef' or a text editor.  Once the report is created, an
entry is made for it in the database catalog.  This menu option
cannot be used to modify an already existing report.

2 D2 - Modify Report Program
D2 - Modify Report Program

This option is used to modify an already existing report.  Reports
created using either the report generator or a text editor can be
modified from this menu selection.  New reports cannot be created
from this menu selection.

2 D3 - Test Report Execution
D3 - Test Report Execution

Use this option to run a newly created or modified report.

2 D4 - Modify Catalog Description
D4 - Modify Catalog Description

When a report is created, a description of the report is entered
in the database catalog.  This option allows you to change the
report's description.

2 D5 - Report Compiling Status
D5 - Report Compiling Status

When a report is created using toolkit, it's precompile status in
the database catalog is set to 'yes'.  This means that the compiled
version of the report is preserved so that the report does not have
to be recompiled every time the report is run.  You may change the
precompile status of a report from this menu option.

2 L1 - List Logical Report Program(s)
L1 - List Logical Report Program(s)

This option lists all the report programs for the database
application.  Only those reports with entries in the data
base catalog are listed.

2 L2 - List Definition of Report
L2 - List Definition of Report

This option can be used to display either a visual or a text report in
text format.  A visual report may also be displayed in a descriptive
format.  The descriptive format displays a picture of the report layout
along with a listing of the fields on the report and their characteristics.
Report programs cannot be modified from this menu option.

2 M1 - Copy Report Program
M1 - Copy Report Program

This menu option allows you to copy an already existing report
to a new report.  An entry is made in the database catalog for
the new report.

2 M2 - Convert Visual Report to Text
M2 - Convert Visual Report to Text

If a report has been created using the C/Base report generator,
it can, through this menu option, be converted to a text file
that can be edited using a text editor.

2 M3 - Remove Report Program
M3 - Remove Report Program

This menu option completely removes a report from the system.
The report plus the report's entry in the database catalog is
removed.

2 R - Return to Toolkit menu
R - Return to Toolkit menu

This choice re-displays to the top level menu, 'Toolkit'.  The toolkit
menu provides the main entry points for maintenance of database files,
data entry forms, reports and menu manipulation.

2 R - Return to Bookkit menu
Return to Bookkit menu

This choice re-displays the top level menu, 'Bookkit'.  The Bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
X - Exit to system

This choice terminates the toolkit session.

1 menuapp
Application Menu Development and Maintenance

The Menus Menu option provides the user with the ability to generate
menus.  Menus are used to access an application.  They are created
and modified with the menu maintenance program 'menudef'.

2 D1 - Create Application Menu
D1 - Create Application Menu

The C/Base menu generator 'menudef' is used to create a menu for
the database application.  Only one menu may be created for a
single database application through this menu option.  If other
menus are needed they must be created through the 'Create Sub Menus'
option.  This menu option may not be used to modify an already
existing menu.

2 D2 - Modify Application Menu
D2 - Modify Application Menu

The C/Base menu generator 'menudef' is used to modify the data
base application menu.  This menu option cannot be used to
modify sub menus, nor can it be used to create menus.
Sub menus may be modified using the menu option 'Modify Sub Menus'.

2 D3 - Test the Application Menu
D3 - Test the Application Menu

This menu option can be used to test the database application
menu.  Sub menus may be tested using the 'Test Sub Menus' option.

2 D4 - Create Sub Menus
D4 - Create Sub Menus

The C/Base menu generator 'menudef' is used to create sub menus
for the database application.  Any number of sub menus may be
created.  An already existing sub menu may not be modified from
this menu option.

2 D5 - Modify Sub Menus
D5 - Modify Sub Menus

The C/Base menu generator 'menudef' is used to modify sub menus.
A new sub menu cannot be created from this menu option.  To
create a new sub menu, select the menu option 'Create Sub Menus'.

2 D6 - Test Sub Menus
D6 - Test Sub Menus

Use this menu option to test a sub menu.  The application
menu can be tested using the menu option 'Test the Application
Menu'.

2 D7 - Use Text Editor on Menufile
D7 - Use Text Editor on Menufile

You may use this menu option to edit a menu file with a text
editor.  It is possible to edit a menu file with a text editor
so that it can no longer be modified with the C/Base menu
generator 'menudef'.

2 L1 - List the Application Menu
L1 - List the Application Menu

This menu option displays the application menu in text format.
You cannot modify the menu from this menu option.

2 L2 - List a Sub Menu
L2 - List a Sub Menu

This menu option displays a sub menu in text format.  You cannot
modify the menu from this menu option.

2 M1 - Remove the Application Menu
M1 - Remove the Application Menu

This menu option completely removes the application menu
from the system.  After it is removed it can only be
restored by either re-entering it, or restoring it from
back ups.

2 M2 - Remove Additional Sub Menus
M2 - Remove Additional Sub Menus

This menu option completely removes a sub menu from the
system.  After it is removed it can only be restored by
either re-entering it, or restoring it from back ups.

2 R - Return to Toolkit menu
R - Return to Toolkit menu

This choice re-displays the top level menu, 'Toolkit'.  The toolkit
menu provides the main entry points for maintenance of database files,
data entry forms, reports and menus.

2 R - Return to Bookkit menu
Return to Bookkit menu

This choice re-displays the top level menu, 'Bookkit'.  The Bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
 X - Exit to system

This choice terminates the toolkit session.

1 table
View Data Files with Table

The Table Menu is used to display and manipulate information in data
files.  Data is displayed in tabular form, with column titles at the
top. Each data record is displayed on one line of the table.  C/Base
data files may be loaded into, but not from table.

2 P1 - Examine Data File
P1 - Examine Data File

The C/Base 'table' utility is used to display a data file.
All the 'table' commands may be used from this menu option
to manipulate the display of a data file.  The 'table' command
can only manipulate the data for display purposes; any changes
made are not preserved in the data file.

2 L1 - List Logical Data File(s)
L1 - List Logical Data File(s)

This menu option displays the names of the data files
that have been entered in the database catalog for
the current database application.

2 L2 - List Data File Dictionary
L2 - List Data File Dictionary

This menu option displays in text format the information
stored in a data file's dictionary.  This information includes
the type of record access, key fields, and other data fields
and their characteristics.

2 L3 - List Data File Records
L3 - List Data File Records

This menu option lists all the records in a data file.  Each
field along with the value of the field is displayed.

2 R - Return to Toolkit menu
R - Return to Toolkit menu

This choice re-displays the top level menu, 'Toolkit'.  The toolkit
menu provides the main entry points for maintenance of database files,
data entry forms, reports and menus.

2 R - Return to Bookkit menu
Return to Bookkit menu

This choice re-displays the top level menu, 'Bookkit'.  The Bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
X - Exit to system

This choice terminates the toolkit session.

1 database
Data Base Menu

The options on this menu allow you to create new applications, change
to a different application, and do general database maintenance.

2 D1 - Create Another Application
D1 - Create Another Application

This menu option allows you to create a new application with all its
data files, data entry forms, reports and menus.

2 D2 - Change Current Application
D2 - Change Current Application

You may access any existing application through this menu option and
make it the current application.  Before any work is done on an
application, the application should be made the current application.

2 D3 - Modify Database Description
D3 - Modify Database Description

This menu option allows you to change the description of the
application in the database catalog.

2 D4 - Define/Change Database Logfile
D4 - Define/Change Database Logfile

If you plan to use transaction logging while running an application,
you must first define a log file for the application.  A log file
is the file used to record changes to a database.  Each database
can have its own log file, or several database can share a common
log file.  This option allows you to define a new log file or change
the name of the existing log file for the current application.

2 L1 - List Database(s)
L1 - List Database(s)

Use this menu option to display the applications entered in the
database catalog.

2 M1 - Clear Transaction Log File
M1 - Clear Transaction Log File

This option can be used to clear the data in a transaction log file.
The log file must be kept in sync with your system backups.  When
a new back up is done, a new log file should be started.  After you
do your backups and before you restart your application, use this
menu option to clear the log file.

2 M2 - Delete Application From System
M2 - Delete Application From System

This option removes the entire application from the system and removes
any entries for the application from the database catalog.

2 R - Return to Toolkit menu
R - Return to Toolkit menu

This choice re-displays the top level menu, 'Toolkit'.  The toolkit
menu provides the main entry points for maintenance of database files,
data entry forms, reports and menus.

2 R - Return to Bookkit menu
Return to Bookkit menu

This choice re-displays the top level menu, 'Bookkit'.  The Bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
X - Exit to system

This choice terminates the toolkit session.

1 modules
Data Base Menu

The options on this menu allow you to create a new set of books,
change to a different set of books, and do general database maintenance.
Options are also available for creating new modules, changing to a
different module, and maintaining existing modules.

2 D1 - Create a New C/Books System
D1 - Create a New C/Books System

This menu option allows you to create a new set of books with all
the standard accounting modules.

2 D2 - Copy Existing C/Books System
D2 - Copy Existing C/Books System

This menu option allows you to create a new set of books from an
existing set of books.

2 D3 - Change Current C/Books System
D3 - Change Current C/Books System

You may access any existing C/Books application through this menu option
and make it the current application.

2 D4 - Create an Accounting Module
D4 - Create an Accounting Module

This menu option allows you to create a new accounting module with
all its data files, data entry forms, reports, and menus.

2 D5 - Change to Another Accounting Module
D5 - Change to Another Accounting Module

Use this menu option to make current the accounting module you
want to work on.

2 D6 - Modify Database Description
D6 - Modify Database Description

This menu option allows you to change the description of the
application in the database catalog.

2 D7 - Define/Change Database Logfile
D7 - Define/Change Database Logfile

If you plan to use transaction logging while running a set of books,
you must first define a log file for the set of books.  A log file
is the file used to record changes to a set of books.  Each set of
books can have its own log file or, several sets of books can share
a common log file.  This option allows you to define a new log file
or change the name of the existing log file for the current set of books.

2 L1 - List Database(s) 
L1 - List Database(s)

This option list all the database entered in the database
catalog.  This list includes C/Books applications as well as
other C/Base applications.

2 L2 - List Accounting Module(s)
L2 - List Accounting Module(s)

Use this menu option to display the accounting modules in the
current set of C/Books.

2 M1 - Clear Transaction Log File
M1 - Clear Transaction Log File

This option can be used to clear the data in a transaction log file.
The log file must be kept in sync with your system backups.  When
a new back up is done, a new log file should be started.  After you
do your backups and before you restart your application, use this
menu option to clear the log file.

2 M2 - Delete C/Books System From System
M2 - Delete C/Books System From System

This option removes the entire C/Books application from the system
and removes any entries for the application from the database catalog.

2 R - Return to Bookkit menu
R - Return to Bookkit menu

This choice re-displays the top level menu, 'Bookkit'.  The bookkit
menu provides the main entry points for maintenance of data files,
data entry forms, reports and menus.

2 X - Exit to system
X - Exit to system

This choice terminates the Bookkit session.

1 newappl
Conetic Systems Toolkit

This form defines the name of the C/Base application that is to
be created or maintained.   Toolkit is used to develop or maintain
an application.  If the application does not exist, confirmation
is required to create it.

A valid application name must begin with a letter or digit and
cannot contain:   slashes (/ or \\), blanks, or quotation marks
(' or "").  The name must be fewer than 31 characters.

The application name specifies a database that contains all the
data, forms, reports, and menus for one application.

When creating an application, the application will be located in
the current directory.

2 DBASE
Application Name

The current field is the name of the C/Base application to be 
created or maintained. The application name must begin with a
letter or digit and cannot contain:   slashes (/ or \\), blanks,
or quotation marks (' or "").  The name must be fewer than 31
characters.

The application name specifies a database that contains
all the data, forms, reports, and menus for one application.

2 ANS
Confirmation

The current field is used to tell the system whether or not
to continue the process.

Valid entries in this field are boolean values ('yes' or 'no').

If the application already exists and the value entered is yes,
this process will terminate.

If the application does not exist and the value is either 'no' or
not entered, this process will terminate.

1 badappl
Conetic Systems Toolkit

In the previous data entry form, the application name was either
not entered or an invalid name was supplied.

A valid application name must begin with a letter or digit and cannot
contain:  slashes (/ or \\), blanks, or quotation marks (' or "").
The name must be fewer than 31 characters.

This form defines the name of the C/Base application that is to
be created or maintained.   Toolkit is used to develop or maintain
an application.  If the application does not exist, confirmation
is required to create it.

An application name specifies a database that contains all the
data, forms, reports, and menus for one application.

When creating an application, the application will be located in
the current directory.

2 DBASE
Application Name

The current field is the name of the C/Base application to be 
created or maintained. The application name must begin with a
letter or digit and cannot contain:   slashes (/ or \\), blanks,
or quotation marks (' or "").  The name must be fewer than 31
characters.

The application name specifies a database that contains
all the data, forms, reports, and menus for one application.

2 ANS
Confirmation

The current field is used to tell the system whether or not to
continue the process.

Valid entries in this field are boolean values ('yes' or 'no').

If the application already exists and the value entered is yes,
this process will terminate.

If the application does not exist and the value is either 'no' or
not entered, this process will terminate.

1 create
Conetic Systems Toolkit

Toolkit was invoked with an application name that is not defined.
The process cannot continue until you confirm that you wish to
create the application.  Enter 'yes' to continue the process and
create a new application.

When a new application is created, it is located in the current
directory.

Creating an application involves the creation of a database
with all the data, forms, reports, and menus for the application.

2 ANS
Confirmation

The current field is used to tell the system whether or not to
continue with the process.

Valid entries in this field are boolean values ('yes' or 'no').

If the application already exists and the value entered is yes,
this process will terminate.

If the application does not exist and the value is either 'no' or
not entered, this process will terminate.

1 rmsfile
Enter Data File Name

This form is used to supply the menu choice with the name
of an existing data file.  An error is displayed if the data
file does not exist.

2 filename
Data File Name

The current field is the name of the data file to be accessed.
The data file name must begin with a letter or digit and cannot
contain:   slashes (/ or \\), blanks, or quotation marks (' or "").
An error occurs if the data file does not exist.

1 gendesc
Data Base Catalog File Description

This form is used to change the description of the file
in the database catalog.

2 NEWDESC
New Description

Enter a brief description of the file for the database
catalog.  A valid file description cannot contain back
quotes ( \` ) or quotation marks (' or "").

1 genbaddesc
Enter Valid File Description

The file description previously entered in the description form
was invalid. 

The Description for the Data File cannot contain back quotes ( \` )
or quotation marks (' or "").

At this time you must either enter a valid file description, or
terminate the choice by pressing the CANCEL function keys.

2 NEWDESC
File Description

Enter a brief description of the file for the database
catalog.  A valid file description cannot contain back
quotes ( \` ) or quotation marks (' or "").

1 capacity
Expanding a Data File

When the STORE key is pressed, the data file entered is expanded
so that it can contain the number of records specified.

2 filename
Data File Name

Enter the name of the data file to expand.

2 records
New Size of Data File

Enter the number of records you want the data file to be able to contain.

1 list
Enter File to Display

The file entered on this form can be displayed either on the terminal
screen or on the printer.

2 filename
File Name

Enter here the name of the file to be displayed.

2 ONPRINTER
Printer?

If you want the listing from this menu choice printed on the system
printer, enter 'y' or 'yes' in this field.  If you want the listing
to be displayed on the terminal screen, either leave the field blank,
or enter 'n' or 'no'.

2 NCOPIES
Number of Copies

If the listing is going to be printed on the system printer, enter
here the number of copies you want printer.  If you leave this field
blank, one copy is printed.

1 clear
Clear Data File

This form asks for verification before clearing the data file
entered.

2 filename
Data File Name

Enter the name of the data file to clear.

2 ans
Confirmation

A 'y' or 'yes' must be entered in this field before the process
will clear the data file.  If this field is left blank or 'n'
or 'no' is entered, the contents of the data file will not be
erased and the menu will be re-displayed.

1 logged
Change Log Status

This form is used to change the logging status of a data file.

2 NEWLOG
Logging Status

If 'y' or 'yes' is entered in this field, the activity of the data
file displayed on the screen will be recorded in a log file.  If 
the field is left blank or 'n' or 'no' is entered, changes to the
data file will not be recorded.

1 output
Display of Output

The information entered in this form determines whether or not the
output from this menu choice is to be printed on the system printer
or displayed on the terminal screen; and, if the output is to be sent
to the system printer, how many copies are to be printed.

2 ONPRINTER
Output Destination

If 'y' or 'yes' is entered in this field, the output from this menu
choice is sent to the system printer.  If this field is left blank
or 'n' or 'no' is entered, the output is displayed on the terminal
screen.

2 NCOPIES
Number of Copies

If the output of this menu choice is sent to the system printer, the
number entered here determines the number of copies that are printed.
If the field is left blank, one copy is printed.


1 getformname
Enter Name of Data Entry Form

This form supplies the menu choice with the name of a data entry form.

2 formname
Data Entry Form Name

Enter the name of the logical data entry form to be used by this menu choice.


1 listform
List Data Entry Form

Information entered on this form determines the data entry form to be
listed and whether or not it is to be listed on the system printer or
the terminal screen.

2 formname
Data Entry Form Name

Enter the name of the data entry form to be listed.

2 ONPRINTER
Output Destination

If 'y' or 'yes' is entered in this field, the output from this menu
choice is sent to the system printer.  If this field is left blank
or 'n' or 'no' is entered, the output is displayed on the terminal
screen.

2 NCOPIES
Number of Copies

If the output of this menu choice is sent to the system printer, the
number entered here determines the number of copies that are printed.
If the field is left blank, one copy is printed.

1 getrptname
Enter Report Name

This form supplies the menu choice with the name of the report.

2 rptname
Report Name

Enter the name of the report.  If the report's database name is not
displayed on the screen, you must enter the report name in the form
[database name]~[report name].

1 rptcomp
Change Compile Status

This form allows you to change the compile status of a report.

2 COMPSTAT
Compile Status

If you enter 'y' or 'yes' in this field, the first time the report
is run, the compiled version of the report will be saved.  This saves
time for subsequent runs of the report.  If the field is blank or,
'n' or 'no' is entered, the report will be recompiled each time it
is run.

1 rptout
Run Report

The information on this form supplies the system with the name
of the report to run and the destination of the report output.

2 rptname
Name of Report

Enter the name of the report you want to run.  If the name of the
report's database is not displayed on the screen, the report name
must be entered in the form [database name]~[report name].

2 ONPRINTER
Output Destination

If 'y' or 'yes' is entered in this field, the report is sent to the
system printer.  If this field is left blank or 'n' or 'no' is entered,
the report is displayed on the terminal screen.

2 NCOPIES
Number of Copies

If the report sent to the system printer, the number entered here
determines the number of copies that are printed.  If the field is
left blank, one copy is printed.

1 rptlist
List Report

The report entered on this form is listed either on the system printer
or on the terminal screen.  Normally the report description is listed for
a visual report.  This form offers the option of listing a visual report
in text format.

2 rptname
Report Name

Enter the name of the report to list.  If the name of the report's
database is not displayed on the screen, the name must be entered
in the form [database name]~[report name].

2 ans
Text Format

If you are listing a visual report (a report created using the C/Base
report generator as opposed to a text editor), enter 'y' or 'yes'
in this field if you want the report listed in text format.  If the
field is left blank or, 'n', or 'no' is entered the report description
is listed.

2 ONPRINTER
Output Destination

If 'y' or 'yes' is entered in this field, the report listing is sent to
the system printer.  If this field is left blank or 'n' or 'no' is entered,
the report listing is displayed on the terminal screen.

2 NCOPIES
Number of Copies

If the report listing is sent to the system printer, the number entered
here determines the number of copies that are printed.  If the field is
left blank, one copy is printed.

1 rmmenu
Remove Application Menu

This form asks for confirmation for removing the application menu.

2 ans
Confirmation

If 'y' or 'yes' is entered here the application menu is removed.
Otherwise when the form is stored the Menus Menu is re-displayed
without removing the application menu.

1 rmsupmenu
Remove Sub Menu

The sub menu entered on this form is removed from the system if
verification is also entered.

2 OTHRMNU
Sub Menu

Enter the name of the sub menu.  The pathname that is entered for the
sub menu is located relative to the home directory of the database
unless an absolute pathname is entered.

2 ans
Confirmation

If 'y' or 'yes' is entered here the sub menu is removed.  Otherwise
when the form is stored the Menus Menu is re-displayed without
removing the sub menu.

1 menuname
Enter Sub Menu

This form supplies the menu choice with the name of the sub menu.

2 OTHRMNU
Sub Menu Name

Enter the name of the sub menu.  The pathname that is entered for the
sub menu is located relative to the home directory of the database
unless an absolute pathname is entered.

1 mnameout
List Sub Menu

This form supplies the name of the sub menu to list and the destination
of the listing.

2 OTHRMNU
Sub Menu Name

Enter the name of the sub menu.  The pathname that is entered for the
sub menu is located relative to the home directory of the database
unless an absolute pathname is entered.

2 ONPRINTER
Output Destination

If 'y' or 'yes' is entered in this field, the menu listing is sent to
the system printer.  If this field is left blank or 'n' or 'no' is entered,
the menu listing is displayed on the terminal screen.

2 NCOPIES
Number of Copies

If the menu listing is sent to the system printer, the number entered
here determines the number of copies that are printed.  If the field is
left blank, one copy is printed.

1 choice
Enter Data Base Name

This form supplies the menu option with the database name of the
application.

2 NDBASE
Name of Application

Enter here the database name of the application.

1 crtdbase
Create New Application

This form supplies the name of the database application to be created.

2 NDBASE
Name of Application

Enter here the database name of the new application. 

1 badchoice
Enter Valid Application Name

An invalid name has been entered as an application name.  This
form supplies a valid application name.

2 NDBASE
Application Name

Enter a valid database name for the application.  Remember, the name
must be begin with a letter or digit (0,1,2,3,4,5,6,7,8, or 9) and
cannot contain slashes (\ or //), blanks or quotation marks (' or "").

1 makelog
Confirm Clearing of Log File

This form asks for confirmation for clearing the application's log file.

2 ans
Confirmation

The log file is cleared if 'y' or 'yes' is entered in this field.
Otherwise the menu is re-displayed and no changes are made to the
log file.  The log file should only be cleared after system backups
have been made.

1 logfile
Enter New Log File

This form supplies the name of the log file for the application.

2 NEWLOG
Enter Name of Log File

Enter the name of the log file for the application.  If an absolute path
is not include in the name (name starts with '/') the log file is located
relative to the database's home directory.


1 cbchoice
Enter Books Data Base Name

This form supplies the menu option with the database name of the books.

2 NDBASE
Name of Books

Enter the database name of the C/Books.

1 cbbadchoice
Enter Valid C/Books Data Base Name

An invalid database name has been entered.  This form supplies a
valid database name for a C/Books application.

2 NDBASE
Name of C/Books Application

Enter the database name of the C/Books application.

1 module
Enter C/Books Accounting Module

This form supplies the menu choice with the name of an accounting module.

2 NMOD
Accounting Module

Enter the name of the accounting module.  The standard accounting modules
are:	
		Module		Description
		ap		accounts payable
		ar		accounts receivable
		cd		cash disbursements
		cr		cash receipts
		fa		fixed assets
		gl		general ledger
		in		inventory control
		jc		job cost
		oe		order entry
		po		purchase order
		pr		payroll
		ss		system set up

1 badmodule
Enter Valid Accounting Module

An invalid name has been entered as an accounting module.  This form
allows the user another chance to enter a valid module name.


2 NMOD
Accounting Module

Enter the name of the accounting module.  The standard accounting modules
are:	
		Module		Description
		ap		accounts payable
		ar		accounts receivable
		cd		cash disbursements
		cr		cash receipts
		fa		fixed assets
		gl		general ledger
		in		inventory control
		jc		job cost
		oe		order entry
		po		purchase order
		pr		payroll
		ss		system set up

1 param
Parameter Screen

You can now enter the menu variables to be passed to the current
menu choice. These variables are automatically edited to their
field types. Arrow keys can be used to move the cursor from field
to field.

Field types supported are:

	int, real, long, time, boolean, date, money



When the STORE (F5) key is pressed, the current field values
are passed to the current menu choice.



Pushing GOLD then X (cancel) exits the parameter entry form.
The current menu choice process is terminated.

Pushing the EXIT key (F8) when all entry fields are blank exits
the current menu choice process.

Pushing GOLD and R (REFRESH) clears the data and redraws the
parameter form.
