/*
 *	cbase/src/form/formdefs.h	11.7	Delta date: 9/16/88
 *
 *	@(#)formdefs.h	11.7
 *
 *	form resource definitions
 */

#define	RS_FMSG		16390	/* form error msg stringlist */
#define	RS_FKEYS	16391	/* form key name stringlist */
#define	RS_FMODES	16392	/* form mode stringlist */

/*
 *	error messages (RS_FMSG)
 */

#define	S_ARRAYFIELD	1	/* Array ^0 not allowed as field */
#define	S_BADBOOL	2	/* Illegal boolean */
#define	S_BADDATE	3	/* Illegal date */
#define	S_BADDPLACE	4	/* Unsupported number of decimal places ... */
#define	S_BADENV	5	/* invalid environment variable */
#define	S_BADFF		6	/* Bad formfile */
#define	S_BADMAGIC	7	/* form: formfile has bad format */
#define	S_BADNUM	8	/* Illegal number */
#define	S_BADTERM	9	/* form: TERM parameter not set */
#define	S_BADTIME	10	/* Illegal time */
#define	S_BADVFLD	11	/* Field `^0' not in validation file `^1' */
#define	S_CIRCCALC	12	/* circular calculation */
#define	S_COMMAEXP	13	/* ',' expected */
#define	S_CONVFORM	14	/* form: old style formfile, use convform */
#define	S_DATAFIELD	15	/* field ^0: */
#define	S_EDITFIELD	16	/* edit field ^0: */
#define	S_EMPTYMSG	17	/* sputerr: error message is empty */
#define	S_ENDIFEXP	18	/* 'endif' expected */
#define	S_ENDWHILEEXP	19	/* 'endwhile' expected */
#define	S_EOL		20	/* end of line expected */
#define	S_EOS		21	/* unexpected end of statements */
#define	S_FIELDEXP	22	/* missing field name */
#define	S_FILEBUSY	23	/* File busy */
#define	S_FILEFULL	24	/* File is full -- record not added */
#define	S_FNOVALFILE	25	/* Field `^0' has no validation file */
#define	S_INPREQ	26	/* Input required */
#define	S_INTERRUPT	27	/* Interrupted */
#define	S_INTTOOBIG	28	/* Value must be less than 32767 */
#define	S_INVCHANGE	29	/* internal error: invalid changed field */
#define	S_INVEXP	30	/* invalid expression element */
#define	S_LPARENEXP	31	/* '(' expected */
#define	S_LVTYPE	32	/* Type/size mismatch between lookup ... */
#define	S_NEWFORM	33	/* form: formfile newer version than form */
#define	S_NFEXP		34	/* Must go on to next form */
#define	S_NIUPDATE	35	/* Not updating a record */
#define	S_NIVF		36	/* Not allowed in validation form */
#define	S_NOADD		37	/* Add not allowed */
#define	S_NODECPT	38	/* Decimal point not allowed */
#define	S_NODELETE	39	/* Delete not allowed */
#define	S_NODFILE	40	/* Form `^0' has no data file */
#define	S_NOFIELD	41	/* Field `^0' not in dictionary */
#define	S_NOFIND	42	/* Find not allowed */
#define	S_NOHELP	43	/* No help available */
#define	S_NOMEM		44	/* Out of memory */
#define	S_NOMORE	45	/* No more */
#define	S_NONEFOUND	46	/* None found */
#define	S_NOQUERY	47	/* Query not allowed */
#define	S_NORECORD	48	/* No record to store */
#define	S_NOTEMP	49	/* Out of temporary names */
#define	S_NOTVALID	50	/* Not valid */
#define	S_NOUPDATE	51	/* Update not allowed */
#define	S_NOVARS	52	/* Out of variable names */
#define	S_NRDELETE	53	/* No record to delete */
#define	S_NRUPDATE	54	/* No record to update */
#define	S_NULLMSG	55	/* (null) */
#define	S_OLDFORM	56	/* form: old style formfile, use convform */
#define	S_OPDATA	57	/* Cannot open data file ^0\r\n^1 */
#define	S_OPDICT	58	/* Cannot open dictionary for `^0' */
#define	S_OPFORM	59	/* form: ^0 */
#define	S_OPVFILE	60	/* Cannot open validation file for field ... */
#define	S_RBRACKEXP	61	/* ']' expected */
#define	S_RECBUSY	62	/* Record busy */
#define	S_RECEXISTS	63	/* Record already exists */
#define	S_RHDEL		64	/* Record has been deleted */
#define	S_RPARENEXP	65	/* ')' expected */
#define	S_SETFIELD	66	/* cannot set or export a field */
#define	S_SFGTDF	67	/* Screen field is larger than the size ... */
#define	S_STOREEXP	68	/* Must STORE record first */
#define	S_STRINGLEN	69	/* string too long */
#define	S_TERMEXP	70	/* ^1 expected */
#define	S_TOEXP		71	/* 'to' expected */
#define	S_UENV		72	/* undefined environment variable '^1' */
#define	S_UNPRINTMSG	73	/* sputerr: unprintable error message */
#define	S_UPDATEEXP	74	/* Must UPDATE record first */
#define	S_USAGE		75	/* Usage: form [-qfuadk] formfile */
#define	S_USE1		76	/* Use ADD, QUERY, or FIND key */
#define	S_USE2		77	/* Use UPDATE to change record */
#define	S_UVAR		78	/* undefined variable '^1' */
#define	S_VALFKEY	79	/* No key fields in validation file `^0' */
#define	S_VALMKEYS	80	/* More than one key field in validation ... */
#define	S_VAREXP	81	/* variable name expected */
#define	S_VFNF		82	/* Cannot find validation form */
#define	S_VFORMEXP	83	/* No Validation form for this field */
#define	S_NOFORMS	84	/* No forms to display */
#define	S_VALTOOLONG	85	/* Value too long to fit in field */
#define	S_NOVALEXIT	86	/* Not in validation form */
#define	S_UNKNOWN	87	/* Unknown RMS error */


/*
 *	key strings (RS_FKEYS)
 */

#define	S_KQUERY	1	/* QUERY-<F2>  */
#define	S_KFIND		2	/* FIND-<F3>  */
#define	S_KUPDATE	3	/* UPDATE-<F4>  */
#define	S_KADD		4	/* ADD-<F6>  */
#define	S_KSTORE	5	/* STORE-<F5>  */
#define	S_KNEXTFORM	6	/* NEXTFORM-<F7>  */
#define	S_KEXIT		7	/* EXIT-<F8>  */
#define	S_KHELP		8	/* HELP-<F1>h  */
#define	S_KCANCEL	9	/* CANCEL-<F1>x  */
#define	S_KRETURN	10	/* RETURN-<F1>v  */
#define	S_KHELP2	17	/* HELP-<HELP>  */


/*
 *	mode strings (RS_FMODES)
 */

#define	S_DFLTMODES	1	/* qf */
#define	S_HMADD		2	/* add */
#define	S_HMFIND	3	/* find */
#define	S_HMNOMODE	4	/* nomode */
#define	S_HMQUERY	5	/* query */
#define	S_HMUPDATE	6	/* update */
#define	S_FMADD		7	/* ADD         */
#define	S_FMNOMODE	8	/*             */
#define	S_FMNFIND	9	/* FIND NEXT   */
#define	S_FMPFIND	10	/* FIND PREV   */
#define	S_FMFQUERY	11	/* QUERY FIRST */
#define	S_FMLQUERY	12	/* QUERY LAST  */
#define	S_FMUPDATE	13	/* UPDATE      */
#define	S_SEARCHING	14	/* SEARCHING   */
#define	S_VDFLTMODES	15	/* qf */
