/*	@(#)vdefs.h	11.5
 *	formdef
 *
 *	formdef definition file
 *
 *	formdef creates data entry screens on terminal
 *	to be used by form
 */


#define	FILESIZE	64		/* maximum size of a data file name */
#define	STRSIZE		64		/* maximum size for other strings */

#define	RF_HEADFORM	256		/* resource ID for form desc form */
#define	RV_HEADFORM	257		/* resource ID for form desc fields */
#define	RF_FLD1FORM	258		/* resource ID for fld desc 1 form */
#define	RV_FLD1FORM	259		/* resource ID for fld desc 1 fields */
#define	RF_FLD2FORM	260		/* resource ID for fld desc 2 form */
#define	RV_FLD2FORM	261		/* resource ID for fld desc 2 fields */


/*
	structure used for each form description record
*/

struct	p_head	{
	char	h_formname[L_FORMNAME];	/* form name */
	char	h_datafile[FILESIZE];	/* data file name */
	BOOLEAN	h_firstform;		/* beginning form of sequence */
	BOOLEAN	h_repeating;		/* repeat form indefinitely */
	BOOLEAN h_appending;		/* append this form to previous */
	BOOLEAN	h_freeze;		/* freeze this form on screen */
	BOOLEAN h_unique;		/* records must be unique */
	BOOLEAN	h_multiple;		/* multiple forms per record */
	BOOLEAN h_required;		/* data entry required for form */
	char	h_nextname[L_FORMNAME];	/* next form name in sequence */
	long	h_fldaddr;		/* beginning of flds in fldfile */
	long	h_picaddr;		/* beginning of pic in picfile */
	short	h_formlength;		/* length of form in lines */
	short	h_nfields;		/* total numbor of fields in form */
	short	h_dfields;		/* number of data fields in form */
	DICT	*h_dict;		/* dictionary file pointer */
	struct	p_fld	*h_firstpfld;	/* first p_fld for this form */
	struct	p_fld	*h_lastdel;	/* last p_fld deleted from this form */
	short	h_active;		/* array element contains valid form */
};

struct	pv_fld	{			/* structure used for 'view' */
	char	tv_fldname[L_FIELDNAME];/* field name */
	short	tv_fldlength;		/* length of field on screen */
	BOOLEAN	tv_entry;		/* field type is entry */
	BOOLEAN	tv_datafile;		/* field is in data file */
	BOOLEAN	tv_invisible;		/* field type is invisible */
	BOOLEAN	tv_required;		/* input required */
	char	tv_valfile[FILESIZE];	/* name of validation file */
	char	tv_lookfield[L_FIELDNAME];	/* name of lookup field */
	char	tv_valform[L_FORMNAME];	/* name of validation form */
	char	tv_initval[STRSIZE];	/* initialization value */
	char	tv_defval[STRSIZE];	/* default value */
	CMDTYPE	tv_calcval;		/* calculation formula */
	CMDTYPE	tv_editval;		/* edit formula */
	BOOLEAN	tv_copy;		/* copy from previous field */
	BOOLEAN	tv_useredit;		/* perform user edit */
	char	tv_editname[L_FIELDNAME];	/* user edit name */
	char	tv_edittype[8];		/* edit data type */
	char	tv_format[STRSIZE];	/* format pattern */
	BOOLEAN	tv_querycalc;		/* do calculations in query */
};


