/*
 *	cbase/src/menudef/vdefs.h	11.5	Delta date: 2/8/88
 *
 *	@(#)vdefs.h	11.5
 *
 *	definition of view structures for menudef
 *
 */


#define	RV_MENUFORM	256		/* menu field desc resource ID */
#define	RF_MENUFORM	257		/* menu form desc resource ID */

#define	RV_CHOICEFORM	258		/* choice field desc resource ID */
#define	RF_CHOICEFORM	259		/* choice form desc resource ID */

#define	RV_FILEFORM	260		/* menufile field desc resource ID */
#define	RF_FILEFORM	261		/* menufile form desc resource ID */

#define	RV_PARAMFLD	262		/* param field desc resource ID */
#define	RF_PARAMFLD	263		/* param form desc resource ID */

#define	L_FIELDNAME	16		/* size of field name */
#define	CHOICESIZE	79		/* maximum number of chars in choice */
#define	NAMESIZE	16		/* maximum size for a name */
#define	CMDLSIZE	79		/* maximum size of a command line */
#define	CMDTYPSIZE	 3		/* mazimum size of command type name */
#define	CMDLINES	16		/* maximum number of command lines */

typedef	char	CMDTYPE[CMDLINES][CMDLSIZE];

/*
 *	structure describing each menu
 */

struct	md	{
	char	md_menuname[NAMESIZE];	/* menu name */
	CMDTYPE	md_commands;		/* menu commands */
	long	md_picaddr;		/* beginning of pic in picfile */
	struct	cd	*md_firstchoice;/* first choice for this menu */
	struct	cd	*md_lastdel;	/* last choice deleted from this menu */
	struct	pd	*ldelparam;	/* last paramter deleted from menu */
	short	md_active;		/* this element contains valid menu */
};

struct	mf	{
	char	mf_menuname[NAMESIZE];	/* menufile name */
	CMDTYPE	mf_commands;		/* menufile commands */
	char	mf_cmdopt[CMDTYPSIZE];	/* menufile command option on/off */
};

/*
 *	structure describing the choice 'view' buffer
 */

struct	cv	{
	char	cv_choicename[CHOICESIZE];	/* choice name */
	CMDTYPE	cv_commands;			/* choice commands */
};

/*
 *	structure describing each parameter
 */

struct	pd	{
	char	pd_paramname[NAMESIZE];	/* parameter name */
	long	pd_picaddr;		/* beginning of pic in picfile */
	short	pd_cnt;			/* parameter use link count */
	struct	dv	*pd_firstdv;	/* first data desc for this menu */
	struct	dv	*pd_lastdel;	/* last data desc deleted from menu */
	short	pd_delstat;		/* status of deleted parameter */
	short	pd_active;		/* this element contains valid param */
};

/*
 *	structure describing the parameter 'view' buffer
 */

struct	pv	{
	char	pv_choicename[CHOICESIZE]; 	/* field name */
	short	pv_fldlength;			/* length of field on screen */
	BOOLEAN	pv_required;			/* input required */
	char	pv_edittype[10];			/* edit data type */
};
