/*
 *	cbase/src/wtrdef/vdefs.h	11.3	Delta date: 2/2/88
 *
 *	@(#)vdefs.h	11.3
 *
 *	definition of view structures for wtrdef
 *
 */


#define	RF_HEADFORM	256		/* resource ID for report desc form */
#define	RV_HEADFORM	257		/* resource ID for report desc fields */
#define	RF_FLDFORM	258		/* resource ID for field desc form */
#define	RV_FLDFORM	259		/* resource ID for field desc fields */


#define	FILESIZE	64	/* maximum size of a data file name */
#define	NAMESIZE	16	/* maximum size of field name */
#define	NSORT		3	/* maximum number of sort fields allowed */
#define	COMMENTSIZE	80	/* maximum size of SCCS comment in rpt header */

/*
	structure used for each field description record
*/

struct	p_fld	{
	short	t_row;			/* row position on screen */
	short	t_col;			/* column position on screen */
	char	t_fldname[NAMESIZE+6];	/* field name */
	short	t_fldlength;		/* length of field on screen */
	short	t_prec;			/* precision specifier */
	char	t_totalof[NAMESIZE+6];	/* value is total of field */
	BOOLEAN	t_running;		/* total is RUNNING total */
	char	t_lkfile[FILESIZE];	/* name of lookup file */
	char	t_lkfield[NAMESIZE+6];	/* name of lookup field */
	struct	p_fld	*t_nextpfld;	/* pointer to next one in list */
};

/*
 *	structure used in report definition
 *	to hold selection conditions
 */

struct	cond	{
	char	c_field[NAMESIZE+6];		/* field name */
	char	c_condition[3];			/* condition test */
	char	c_value[36];			/* value */
};



/*
	structure used for report definition
*/

struct	p_head	{
	short	h_active;		/* report definition active */
	char	h_datafile [FILESIZE];		/* data file name */
	struct	cond	h_cond[3];		/* selection conditions */
	char	h_sortflds[NSORT][NAMESIZE];	/* sort field names */
	short	h_pglength;		/* page length */
	short	h_pgwidth;		/* page width */
	short	h_firstline;		/* first print line */
	short	h_lastline;		/* last print line */
	short	h_maxlevel;		/* sort levels specified (max=NSORT) */
	char	h_comment[COMMENTSIZE];	/* SCCS comment */
};
